# std::numeric_limits::infinity

From cppreference.com
< cpp‎ | types‎ | numeric limits

static T infinity(); |  | (until C++11)
static constexpr T infinity(); |  | (since C++11)

Returns the special value "positive infinity", as represented by the floating-point type `T`. Only meaningful if std::numeric_limits<T>::has_infinity == true. In IEEE 754, the most common binary representation of floating-point numbers, the positive infinity is the value with all bits of the exponent set and all bits of the fraction cleared.

### Return value

`T` | std::numeric_limits<T>::infinity()
/* non-specialized */ | `T();`
bool | false
char | ​0​
signed char | ​0​
unsigned char | ​0​
wchar_t | ​0​
char16_t | ​0​
char32_t | ​0​
short | ​0​
unsigned short | ​0​
int | ​0​
unsigned int | ​0​
long | ​0​
unsigned long | ​0​
long long | ​0​
unsigned long long | ​0​
float | HUGE_VALF
double | HUGE_VAL
long double | HUGE_VALL

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Example

Run this code

    #include <iostream>
    #include <limits>
    int main()
    {
        double max = std::numeric_limits<double>::max();
        double inf = std::numeric_limits<double>::infinity();

        if(inf > max)
            std::cout << inf << " is greater than " << max << '\n';
    }

Output:

    inf is greater than 1.79769e+308

### See also

has_infinity [static] | identifies floating-point types that can represent the special value "positive infinity" (public static member constant)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/types/numeric_limits/infinity&oldid=91736"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template